using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using HySoft.DBUtility;//Please add references
namespace HySoft.BaseCallCenter.DAL
{
	/// <summary>
	/// 数据访问类:T_Wo_WorkOrderHistoryInfo
	/// </summary>
	public partial class T_Wo_WorkOrderHistoryInfo
	{
		public T_Wo_WorkOrderHistoryInfo()
		{}
		#region  Method



		/// <summary>
		/// 增加一条数据
		/// </summary>
        public int Add(HySoft.BaseCallCenter.Model.T_Wo_WorkOrderHistoryInfo model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("insert into T_Wo_WorkOrderHistoryInfo(");
            strSql.Append("F_HISTORYID,F_OPTUSERID,F_REMARK,F_INSTANCEID,F_OPTDATE,F_SERVICETYPE,F_SERVICENATURE,F_SERVICEMETHOD,F_VISITOPINION,F_VISITTYPE,F_CUSTOMERSCORE,F_CUSTOMEROPINION,F_SOLVE,F_ORDERTYPE,F_EXAMINETYPE,F_ESTIMATED,F_KNOWLEDGE,F_COEFFICIENT,F_DECLARATION,F_ALREADYKNOWLEDGE,F_KNOWLEDGENAME,F_EXAMION,F_PAPERWORKORDERID)");
            strSql.Append(" values (");
            strSql.Append("@F_HISTORYID,@F_OPTUSERID,@F_REMARK,@F_INSTANCEID,@F_OPTDATE,@F_SERVICETYPE,@F_SERVICENATURE,@F_SERVICEMETHOD,@F_VISITOPINION,@F_VISITTYPE,@F_CUSTOMERSCORE,@F_CUSTOMEROPINION,@F_SOLVE,@F_ORDERTYPE,@F_EXAMINETYPE,@F_ESTIMATED,@F_KNOWLEDGE,@F_COEFFICIENT,@F_DECLARATION,@F_ALREADYKNOWLEDGE,@F_KNOWLEDGENAME,@F_EXAMION,@F_PAPERWORKORDERID)");
            strSql.Append(";select @@IDENTITY");
            SqlParameter[] parameters = {
					new SqlParameter("@F_HISTORYID", SqlDbType.Int,4),
					new SqlParameter("@F_OPTUSERID", SqlDbType.Int,4),
					new SqlParameter("@F_REMARK", SqlDbType.NVarChar,800),
					new SqlParameter("@F_INSTANCEID", SqlDbType.Int,4),
					new SqlParameter("@F_OPTDATE", SqlDbType.DateTime),
					new SqlParameter("@F_SERVICETYPE", SqlDbType.NVarChar,100),
					new SqlParameter("@F_SERVICENATURE", SqlDbType.NVarChar,100),
					new SqlParameter("@F_SERVICEMETHOD", SqlDbType.NVarChar,100),
					new SqlParameter("@F_VISITOPINION", SqlDbType.NVarChar,100),
					new SqlParameter("@F_VISITTYPE", SqlDbType.NVarChar,100),
					new SqlParameter("@F_CUSTOMERSCORE", SqlDbType.NVarChar,10),
					new SqlParameter("@F_CUSTOMEROPINION", SqlDbType.NVarChar,800),
					new SqlParameter("@F_SOLVE", SqlDbType.NVarChar,800),
					new SqlParameter("@F_ORDERTYPE", SqlDbType.NVarChar,100),
					new SqlParameter("@F_EXAMINETYPE", SqlDbType.NVarChar,100),
					new SqlParameter("@F_ESTIMATED", SqlDbType.NVarChar,10),
					new SqlParameter("@F_KNOWLEDGE", SqlDbType.Int,4),
					new SqlParameter("@F_COEFFICIENT", SqlDbType.NVarChar,10),
					new SqlParameter("@F_DECLARATION", SqlDbType.NVarChar,10),
					new SqlParameter("@F_ALREADYKNOWLEDGE", SqlDbType.Int,4),
					new SqlParameter("@F_KNOWLEDGENAME", SqlDbType.NVarChar,200),
					new SqlParameter("@F_EXAMION", SqlDbType.NVarChar,10),
					new SqlParameter("@F_PAPERWORKORDERID", SqlDbType.NVarChar,100)};
            parameters[0].Value = model.F_HISTORYID;
            parameters[1].Value = model.F_OPTUSERID;
            parameters[2].Value = model.F_REMARK;
            parameters[3].Value = model.F_INSTANCEID;
            parameters[4].Value = model.F_OPTDATE;
            parameters[5].Value = model.F_SERVICETYPE;
            parameters[6].Value = model.F_SERVICENATURE;
            parameters[7].Value = model.F_SERVICEMETHOD;
            parameters[8].Value = model.F_VISITOPINION;
            parameters[9].Value = model.F_VISITTYPE;
            parameters[10].Value = model.F_CUSTOMERSCORE;
            parameters[11].Value = model.F_CUSTOMEROPINION;
            parameters[12].Value = model.F_SOLVE;
            parameters[13].Value = model.F_ORDERTYPE;
            parameters[14].Value = model.F_EXAMINETYPE;
            parameters[15].Value = model.F_ESTIMATED;
            parameters[16].Value = model.F_KNOWLEDGE;
            parameters[17].Value = model.F_COEFFICIENT;
            parameters[18].Value = model.F_DECLARATION;
            parameters[19].Value = model.F_ALREADYKNOWLEDGE;
            parameters[20].Value = model.F_KNOWLEDGENAME;
            parameters[21].Value = model.F_EXAMION;
            parameters[22].Value = model.F_PAPERWORKORDERID;

            object obj = DbHelperSQL.GetSingle(strSql.ToString(), parameters);
            if (obj == null)
            {
                return 0;
            }
            else
            {
                return Convert.ToInt32(obj);
            }
        }
		/// <summary>
		/// 更新一条数据
		/// </summary>
        public bool Update(HySoft.BaseCallCenter.Model.T_Wo_WorkOrderHistoryInfo model)
		{
            StringBuilder strSql = new StringBuilder();
            strSql.Append("update T_Wo_WorkOrderHistoryInfo set ");
            strSql.Append("F_HISTORYID=@F_HISTORYID,");
            strSql.Append("F_OPTUSERID=@F_OPTUSERID,");
            strSql.Append("F_REMARK=@F_REMARK,");
            strSql.Append("F_INSTANCEID=@F_INSTANCEID,");
            strSql.Append("F_OPTDATE=@F_OPTDATE,");
            strSql.Append("F_SERVICETYPE=@F_SERVICETYPE,");
            strSql.Append("F_SERVICENATURE=@F_SERVICENATURE,");
            strSql.Append("F_SERVICEMETHOD=@F_SERVICEMETHOD,");
            strSql.Append("F_VISITOPINION=@F_VISITOPINION,");
            strSql.Append("F_VISITTYPE=@F_VISITTYPE,");
            strSql.Append("F_CUSTOMERSCORE=@F_CUSTOMERSCORE,");
            strSql.Append("F_CUSTOMEROPINION=@F_CUSTOMEROPINION,");
            strSql.Append("F_SOLVE=@F_SOLVE,");
            strSql.Append("F_ORDERTYPE=@F_ORDERTYPE,");
            strSql.Append("F_EXAMINETYPE=@F_EXAMINETYPE,");
            strSql.Append("F_ESTIMATED=@F_ESTIMATED,");
            strSql.Append("F_KNOWLEDGE=@F_KNOWLEDGE,");
            strSql.Append("F_COEFFICIENT=@F_COEFFICIENT,");
            strSql.Append("F_DECLARATION=@F_DECLARATION,");
            strSql.Append("F_ALREADYKNOWLEDGE=@F_ALREADYKNOWLEDGE,");
            strSql.Append("F_KNOWLEDGENAME=@F_KNOWLEDGENAME,");
            strSql.Append("F_EXAMION=@F_EXAMION,");
            strSql.Append("F_PAPERWORKORDERID=@F_PAPERWORKORDERID");
            strSql.Append(" where ID=@ID");
            SqlParameter[] parameters = {
					new SqlParameter("@F_HISTORYID", SqlDbType.Int,4),
					new SqlParameter("@F_OPTUSERID", SqlDbType.Int,4),
					new SqlParameter("@F_REMARK", SqlDbType.NVarChar,800),
					new SqlParameter("@F_INSTANCEID", SqlDbType.Int,4),
					new SqlParameter("@F_OPTDATE", SqlDbType.DateTime),
					new SqlParameter("@F_SERVICETYPE", SqlDbType.NVarChar,100),
					new SqlParameter("@F_SERVICENATURE", SqlDbType.NVarChar,100),
					new SqlParameter("@F_SERVICEMETHOD", SqlDbType.NVarChar,100),
					new SqlParameter("@F_VISITOPINION", SqlDbType.NVarChar,100),
					new SqlParameter("@F_VISITTYPE", SqlDbType.NVarChar,100),
					new SqlParameter("@F_CUSTOMERSCORE", SqlDbType.NVarChar,10),
					new SqlParameter("@F_CUSTOMEROPINION", SqlDbType.NVarChar,800),
					new SqlParameter("@F_SOLVE", SqlDbType.NVarChar,800),
					new SqlParameter("@F_ORDERTYPE", SqlDbType.NVarChar,100),
					new SqlParameter("@F_EXAMINETYPE", SqlDbType.NVarChar,100),
					new SqlParameter("@F_ESTIMATED", SqlDbType.NVarChar,10),
					new SqlParameter("@F_KNOWLEDGE", SqlDbType.Int,4),
					new SqlParameter("@F_COEFFICIENT", SqlDbType.NVarChar,10),
					new SqlParameter("@F_DECLARATION", SqlDbType.NVarChar,10),
					new SqlParameter("@F_ALREADYKNOWLEDGE", SqlDbType.Int,4),
					new SqlParameter("@F_KNOWLEDGENAME", SqlDbType.NVarChar,200),
					new SqlParameter("@F_EXAMION", SqlDbType.NVarChar,10),
					new SqlParameter("@F_PAPERWORKORDERID", SqlDbType.NVarChar,100),
					new SqlParameter("@ID", SqlDbType.Int,4)};
            parameters[0].Value = model.F_HISTORYID;
            parameters[1].Value = model.F_OPTUSERID;
            parameters[2].Value = model.F_REMARK;
            parameters[3].Value = model.F_INSTANCEID;
            parameters[4].Value = model.F_OPTDATE;
            parameters[5].Value = model.F_SERVICETYPE;
            parameters[6].Value = model.F_SERVICENATURE;
            parameters[7].Value = model.F_SERVICEMETHOD;
            parameters[8].Value = model.F_VISITOPINION;
            parameters[9].Value = model.F_VISITTYPE;
            parameters[10].Value = model.F_CUSTOMERSCORE;
            parameters[11].Value = model.F_CUSTOMEROPINION;
            parameters[12].Value = model.F_SOLVE;
            parameters[13].Value = model.F_ORDERTYPE;
            parameters[14].Value = model.F_EXAMINETYPE;
            parameters[15].Value = model.F_ESTIMATED;
            parameters[16].Value = model.F_KNOWLEDGE;
            parameters[17].Value = model.F_COEFFICIENT;
            parameters[18].Value = model.F_DECLARATION;
            parameters[19].Value = model.F_ALREADYKNOWLEDGE;
            parameters[20].Value = model.F_KNOWLEDGENAME;
            parameters[21].Value = model.F_EXAMION;
            parameters[22].Value = model.F_PAPERWORKORDERID;
            parameters[23].Value = model.ID;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int ID)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_Wo_WorkOrderHistoryInfo ");
			strSql.Append(" where ID=@ID");
			SqlParameter[] parameters = {
					new SqlParameter("@ID", SqlDbType.Int,4)
};
			parameters[0].Value = ID;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		/// <summary>
		/// 批量删除数据
		/// </summary>
		public bool DeleteList(string IDlist )
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_Wo_WorkOrderHistoryInfo ");
			strSql.Append(" where ID in ("+IDlist + ")  ");
			int rows=DbHelperSQL.ExecuteSql(strSql.ToString());
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
        public HySoft.BaseCallCenter.Model.T_Wo_WorkOrderHistoryInfo GetModel(int ID)
		{

            StringBuilder strSql = new StringBuilder();
            strSql.Append("select  top 1 ID,F_HISTORYID,F_OPTUSERID,F_REMARK,F_INSTANCEID,F_OPTDATE,F_SERVICETYPE,F_SERVICENATURE,F_SERVICEMETHOD,F_VISITOPINION,F_VISITTYPE,F_CUSTOMERSCORE,F_CUSTOMEROPINION,F_SOLVE,F_ORDERTYPE,F_EXAMINETYPE,F_ESTIMATED,F_KNOWLEDGE,F_COEFFICIENT,F_DECLARATION,F_ALREADYKNOWLEDGE,F_KNOWLEDGENAME,F_EXAMION,F_PAPERWORKORDERID from T_Wo_WorkOrderHistoryInfo ");
            strSql.Append(" where ID=@ID");
            SqlParameter[] parameters = {
					new SqlParameter("@ID", SqlDbType.Int,4)
};
            parameters[0].Value = ID;

            HySoft.BaseCallCenter.Model.T_Wo_WorkOrderHistoryInfo model = new HySoft.BaseCallCenter.Model.T_Wo_WorkOrderHistoryInfo();
            DataSet ds = DbHelperSQL.Query(strSql.ToString(), parameters);
            if (ds.Tables[0].Rows.Count > 0)
            {
                if (ds.Tables[0].Rows[0]["ID"] != null && ds.Tables[0].Rows[0]["ID"].ToString() != "")
                {
                    model.ID = int.Parse(ds.Tables[0].Rows[0]["ID"].ToString());
                }
                if (ds.Tables[0].Rows[0]["F_HISTORYID"] != null && ds.Tables[0].Rows[0]["F_HISTORYID"].ToString() != "")
                {
                    model.F_HISTORYID = int.Parse(ds.Tables[0].Rows[0]["F_HISTORYID"].ToString());
                }
                if (ds.Tables[0].Rows[0]["F_OPTUSERID"] != null && ds.Tables[0].Rows[0]["F_OPTUSERID"].ToString() != "")
                {
                    model.F_OPTUSERID = int.Parse(ds.Tables[0].Rows[0]["F_OPTUSERID"].ToString());
                }
                if (ds.Tables[0].Rows[0]["F_REMARK"] != null && ds.Tables[0].Rows[0]["F_REMARK"].ToString() != "")
                {
                    model.F_REMARK = ds.Tables[0].Rows[0]["F_REMARK"].ToString();
                }
                if (ds.Tables[0].Rows[0]["F_INSTANCEID"] != null && ds.Tables[0].Rows[0]["F_INSTANCEID"].ToString() != "")
                {
                    model.F_INSTANCEID = int.Parse(ds.Tables[0].Rows[0]["F_INSTANCEID"].ToString());
                }
                if (ds.Tables[0].Rows[0]["F_OPTDATE"] != null && ds.Tables[0].Rows[0]["F_OPTDATE"].ToString() != "")
                {
                    model.F_OPTDATE = DateTime.Parse(ds.Tables[0].Rows[0]["F_OPTDATE"].ToString());
                }
                if (ds.Tables[0].Rows[0]["F_SERVICETYPE"] != null && ds.Tables[0].Rows[0]["F_SERVICETYPE"].ToString() != "")
                {
                    model.F_SERVICETYPE = ds.Tables[0].Rows[0]["F_SERVICETYPE"].ToString();
                }
                if (ds.Tables[0].Rows[0]["F_SERVICENATURE"] != null && ds.Tables[0].Rows[0]["F_SERVICENATURE"].ToString() != "")
                {
                    model.F_SERVICENATURE = ds.Tables[0].Rows[0]["F_SERVICENATURE"].ToString();
                }
                if (ds.Tables[0].Rows[0]["F_SERVICEMETHOD"] != null && ds.Tables[0].Rows[0]["F_SERVICEMETHOD"].ToString() != "")
                {
                    model.F_SERVICEMETHOD = ds.Tables[0].Rows[0]["F_SERVICEMETHOD"].ToString();
                }
                if (ds.Tables[0].Rows[0]["F_VISITOPINION"] != null && ds.Tables[0].Rows[0]["F_VISITOPINION"].ToString() != "")
                {
                    model.F_VISITOPINION = ds.Tables[0].Rows[0]["F_VISITOPINION"].ToString();
                }
                if (ds.Tables[0].Rows[0]["F_VISITTYPE"] != null && ds.Tables[0].Rows[0]["F_VISITTYPE"].ToString() != "")
                {
                    model.F_VISITTYPE = ds.Tables[0].Rows[0]["F_VISITTYPE"].ToString();
                }
                if (ds.Tables[0].Rows[0]["F_CUSTOMERSCORE"] != null && ds.Tables[0].Rows[0]["F_CUSTOMERSCORE"].ToString() != "")
                {
                    model.F_CUSTOMERSCORE = ds.Tables[0].Rows[0]["F_CUSTOMERSCORE"].ToString();
                }
                if (ds.Tables[0].Rows[0]["F_CUSTOMEROPINION"] != null && ds.Tables[0].Rows[0]["F_CUSTOMEROPINION"].ToString() != "")
                {
                    model.F_CUSTOMEROPINION = ds.Tables[0].Rows[0]["F_CUSTOMEROPINION"].ToString();
                }
                if (ds.Tables[0].Rows[0]["F_SOLVE"] != null && ds.Tables[0].Rows[0]["F_SOLVE"].ToString() != "")
                {
                    model.F_SOLVE = ds.Tables[0].Rows[0]["F_SOLVE"].ToString();
                }
                if (ds.Tables[0].Rows[0]["F_ORDERTYPE"] != null && ds.Tables[0].Rows[0]["F_ORDERTYPE"].ToString() != "")
                {
                    model.F_ORDERTYPE = ds.Tables[0].Rows[0]["F_ORDERTYPE"].ToString();
                }
                if (ds.Tables[0].Rows[0]["F_EXAMINETYPE"] != null && ds.Tables[0].Rows[0]["F_EXAMINETYPE"].ToString() != "")
                {
                    model.F_EXAMINETYPE = ds.Tables[0].Rows[0]["F_EXAMINETYPE"].ToString();
                }
                if (ds.Tables[0].Rows[0]["F_ESTIMATED"] != null && ds.Tables[0].Rows[0]["F_ESTIMATED"].ToString() != "")
                {
                    model.F_ESTIMATED = ds.Tables[0].Rows[0]["F_ESTIMATED"].ToString();
                }
                if (ds.Tables[0].Rows[0]["F_KNOWLEDGE"] != null && ds.Tables[0].Rows[0]["F_KNOWLEDGE"].ToString() != "")
                {
                    model.F_KNOWLEDGE = int.Parse(ds.Tables[0].Rows[0]["F_KNOWLEDGE"].ToString());
                }
                if (ds.Tables[0].Rows[0]["F_COEFFICIENT"] != null && ds.Tables[0].Rows[0]["F_COEFFICIENT"].ToString() != "")
                {
                    model.F_COEFFICIENT = ds.Tables[0].Rows[0]["F_COEFFICIENT"].ToString();
                }
                if (ds.Tables[0].Rows[0]["F_DECLARATION"] != null && ds.Tables[0].Rows[0]["F_DECLARATION"].ToString() != "")
                {
                    model.F_DECLARATION = ds.Tables[0].Rows[0]["F_DECLARATION"].ToString();
                }
                if (ds.Tables[0].Rows[0]["F_ALREADYKNOWLEDGE"] != null && ds.Tables[0].Rows[0]["F_ALREADYKNOWLEDGE"].ToString() != "")
                {
                    model.F_ALREADYKNOWLEDGE = int.Parse(ds.Tables[0].Rows[0]["F_ALREADYKNOWLEDGE"].ToString());
                }
                if (ds.Tables[0].Rows[0]["F_KNOWLEDGENAME"] != null && ds.Tables[0].Rows[0]["F_KNOWLEDGENAME"].ToString() != "")
                {
                    model.F_KNOWLEDGENAME = ds.Tables[0].Rows[0]["F_KNOWLEDGENAME"].ToString();
                }
                if (ds.Tables[0].Rows[0]["F_EXAMION"] != null && ds.Tables[0].Rows[0]["F_EXAMION"].ToString() != "")
                {
                    model.F_EXAMION = ds.Tables[0].Rows[0]["F_EXAMION"].ToString();
                }
                if (ds.Tables[0].Rows[0]["F_PAPERWORKORDERID"] != null && ds.Tables[0].Rows[0]["F_PAPERWORKORDERID"].ToString() != "")
                {
                    model.F_PAPERWORKORDERID = ds.Tables[0].Rows[0]["F_PAPERWORKORDERID"].ToString();
                }
                return model;
            }
            else
            {
                return null;
            }
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select * ");
			strSql.Append(" FROM T_Wo_WorkOrderHistoryInfo ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select ");
			if(Top>0)
			{
				strSql.Append(" top "+Top.ToString());
			}
			strSql.Append(" * ");
			strSql.Append(" FROM T_Wo_WorkOrderHistoryInfo ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			strSql.Append(" order by " + filedOrder);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获取记录总数
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) FROM T_Wo_WorkOrderHistoryInfo ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			object obj = DbHelperSQL.GetSingle(strSql.ToString());
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("SELECT * FROM ( ");
			strSql.Append(" SELECT ROW_NUMBER() OVER (");
			if (!string.IsNullOrEmpty(orderby.Trim()))
			{
				strSql.Append("order by T." + orderby );
			}
			else
			{
				strSql.Append("order by T.ID desc");
			}
			strSql.Append(")AS Row, T.*  from T_Wo_WorkOrderHistoryInfo T ");
			if (!string.IsNullOrEmpty(strWhere.Trim()))
			{
				strSql.Append(" WHERE " + strWhere);
			}
			strSql.Append(" ) TT");
			strSql.AppendFormat(" WHERE TT.Row between {0} and {1}", startIndex, endIndex);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/*
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		{
			SqlParameter[] parameters = {
					new SqlParameter("@tblName", SqlDbType.VarChar, 255),
					new SqlParameter("@fldName", SqlDbType.VarChar, 255),
					new SqlParameter("@PageSize", SqlDbType.Int),
					new SqlParameter("@PageIndex", SqlDbType.Int),
					new SqlParameter("@IsReCount", SqlDbType.Bit),
					new SqlParameter("@OrderType", SqlDbType.Bit),
					new SqlParameter("@strWhere", SqlDbType.VarChar,1000),
					};
			parameters[0].Value = "T_Wo_WorkOrderHistoryInfo";
			parameters[1].Value = "ID";
			parameters[2].Value = PageSize;
			parameters[3].Value = PageIndex;
			parameters[4].Value = 0;
			parameters[5].Value = 0;
			parameters[6].Value = strWhere;	
			return DbHelperSQL.RunProcedure("UP_GetRecordByPage",parameters,"ds");
		}*/

		#endregion  Method
	}
}

